#!/usr/bin/env perl

# Author: Johannes T. Roehr

use warnings;
use strict;

my $format  = pop @ARGV;
my $folder  = pop @ARGV;
my $id      = pop @ARGV;
my $outFile = pop @ARGV;

my $call = join " ", @ARGV;

system $call .' --target reads > '. $outFile and exit 1;


foreach(<reads*>){
	
	my $fileType;
	
	$fileType = $1         if /\.(\w+)$/;
	$fileType = $format    if /\.\w+fast\w$/;
	$fileType = 'tabular'  if $fileType eq 'lengthdist';
	
	s/_//g;
	
	my $name = "primary_". $id ."_". $_ ."_visible_". $fileType;
	
	rename $_, $name;
	rename $name, $folder;
}

